<script lang="ts">
    import { COLORS } from "@/utils/constants";
	import { Card } from "attractions";

	export let type: keyof typeof type_props;
	export let width: string = "fit-content";
	export let message: string = "";

	const type_props = {
		"success": [COLORS.success, "check"],
		"error": [COLORS.error, "warning"],
		"info": [COLORS.info, "info"],
		"warning": [COLORS.warning, "warning"],
	} as const;

	$: color = type_props[type][0];
	$: icon = type_props[type][1];
</script>

<div class="alert-wrapper" style={`width: ${width}`}>
	<Card outline style={`color: ${color}; border-color: ${color}`}>
		<div>
			<i class="material-icons icon">{icon}</i>
			{message}
			<slot>
			</slot>
		</div>
	</Card>
</div>

<style>
	.alert-wrapper div {
		display: flex;
		align-items: center;
		justify-content: center;
	}
	.icon {
		padding-right: 6px;
	}
</style>